# -*- coding:utf-8 -*-

# 次元
class DimensionsController < ApplicationController
  # GET /dimensions
  # GET /dimensions.xml
  def index
    @dimensions = Dimension.paginate :page => params[:page], :per_page => 20,
                               :conditions => ["axis = ?", 2],
                               :order => "dim_code"
  end

  # GET /dimensions/1
  # GET /dimensions/1.xml
  def show
    @dimension = Dimension.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @dimension }
    end
  end


  # GET /dimensions/new
  # GET /dimensions/new.xml
  def new
    @dimension = Dimension.new
    @dimension.active = true
    @dimension.axis = 2
  end


  # GET /dimensions/1/edit
  def edit
    @dimension = Dimension.find(params[:id])
  end


  # POST /dimensions
  # POST /dimensions.xml
  def create
    @dimension = Dimension.new(params[:dimension])
    @dimension.create_user_id = current_user.id

    if @dimension.save
      redirect_to( {:action => "show", :id => @dimension}, 
                   :notice => 'Dimension was successfully created.' )
    else
      render :action => "new"
    end
  end


  # PUT /dimensions/1
  # PUT /dimensions/1.xml
  def update
    @dimension = Dimension.find(params[:id])

    if @dimension.update_attributes(params[:dimension])
      redirect_to( {:action => "show", :id => @dimension}, 
                   :notice => 'Dimension was successfully updated.' )
    else
      render :action => "edit"
    end
  end


  # DELETE /dimensions/1
  # DELETE /dimensions/1.xml
  def destroy
    @dimension = Dimension.find(params[:id])
    @dimension.destroy

    redirect_to( {:action => "index"}, :notice => "次元を削除しました" )
  end
end
