# -*- coding: utf-8 -*-

# Netsphere Financial Front / ネットスフィア経理フロント
# Copyright (C) 2007-2009,2011 HORIKAWA Hisashi. All rights reserved.
#     http://www.nslabs.jp/bside/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# 全体設定
class GlobalSettingsController < ApplicationController
  before_filter :login_required
  before_filter :role_keiri_required

  # GET /global_settings
  # GET /global_settings.xml
  def index
    @global_setting = GlobalSetting.find :first
    raise "internal error" if !@global_setting
  end

=begin
  # GET /global_settings/1
  # GET /global_settings/1.xml
  def show
    @global_setting = GlobalSetting.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @global_setting }
    end
  end

  # GET /global_settings/new
  # GET /global_settings/new.xml
  def new
    @global_setting = GlobalSetting.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @global_setting }
    end
  end
=end

  # GET /global_settings/1/edit
  def edit
    @global_setting = GlobalSetting.first
  end

  # POST /global_settings
  # POST /global_settings.xml
  def create
    @global_setting = GlobalSetting.new(params[:global_setting])

    respond_to do |format|
      if @global_setting.save
        format.html { redirect_to(@global_setting, :notice => 'Global setting was successfully created.') }
        format.xml  { render :xml => @global_setting, :status => :created, :location => @global_setting }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @global_setting.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /global_settings/1
  # PUT /global_settings/1.xml
  def update
    @global_setting = GlobalSetting.find(params[:id])

    respond_to do |format|
      if @global_setting.update_attributes(params[:global_setting])
        format.html { redirect_to(@global_setting, :notice => 'Global setting was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @global_setting.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /global_settings/1
  # DELETE /global_settings/1.xml
  def destroy
    @global_setting = GlobalSetting.find(params[:id])
    @global_setting.destroy

    respond_to do |format|
      format.html { redirect_to(global_settings_url) }
      format.xml  { head :ok }
    end
  end
end
