# -*- coding: utf-8 -*-

# Netsphere Financial Front / ネットスフィア経理フロント
# Copyright (C) 2007-2009,2011 HORIKAWA Hisashi. All rights reserved.
#     http://www.nslabs.jp/bside/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


class OurContactsController < ApplicationController
  # GET /our_contacts
  # GET /our_contacts.xml
  def index
    @our_contacts = OurContact.find(:all)

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @our_contacts }
    end
  end

  # GET /our_contacts/1
  # GET /our_contacts/1.xml
  def show
    @our_contact = OurContact.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @our_contact }
    end
  end

  # GET /our_contacts/new
  # GET /our_contacts/new.xml
  def new
    @our_contact = OurContact.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @our_contact }
    end
  end

  # GET /our_contacts/1/edit
  def edit
    @our_contact = OurContact.find(params[:id])
  end

  # POST /our_contacts
  # POST /our_contacts.xml
  def create
    @our_contact = OurContact.new params[:our_contact]

    if @our_contact.save
      flash[:notice] = 'OurContact was successfully created.'
      redirect_to :action => "show", :id => @our_contact
    else
      render :action => "new"
    end
  end

  # PUT /our_contacts/1
  # PUT /our_contacts/1.xml
  def update
    @our_contact = OurContact.find(params[:id])

    if @our_contact.update_attributes(params[:our_contact])
      flash[:notice] = 'OurContact was successfully updated.'
      redirect_to :action => "show", :id => @our_contact
    else
      render :action => "edit" 
    end
  end

  # DELETE /our_contacts/1
  # DELETE /our_contacts/1.xml
  def destroy
    @our_contact = OurContact.find(params[:id])
    @our_contact.destroy

    redirect_to :action => "index"
  end
end
