# -*- coding:utf-8 -*-

class PettyExpensesController < ApplicationController
  before_filter :login_required
  before_filter :role_keiri_required

  def index
    # 経費精算リポートのうち, 未収入金の残高があるもの
    @expenses = PettyExpense.find :all, 
                  :conditions => [<<EOF]
receivable_amount_total <> 
    ( SELECT coalesce(SUM(receivings.amount), 0) 
          FROM receivings 
          LEFT JOIN receiving_slips 
                       ON receivings.receiving_slip_id = receiving_slips.id
          WHERE (receiving_slips.state = 10 OR receiving_slips.state = 20) AND 
                receivings.petty_expense_id = petty_expenses.id )
EOF

    # 仮払金の残高があるもの
    @cash_advances = PettyCashAdvance.find :all,
                      :conditions => [<<EOF]
journal_amount <> 
    ( SELECT coalesce(SUM(petty_offsets.amount), 0)
          FROM petty_offsets
          WHERE petty_offsets.cash_advance_id = petty_cash_advances.id )
EOF

    # 最近の支払い
    @petty_pays = PettyPay.find :all, 
           :select => "demand_batch_id, demand_batch_close_date, sum(amount) as amount",
           :group => "demand_batch_id, demand_batch_close_date",
           :order => "demand_batch_close_date",
           :limit => 5
  end
 

  def show
    @report = PettyExpense.find params[:id]
  end

end
