# -*- coding:utf-8 -*-

# Netsphere Financial Front / ネットスフィア経理フロント
# Copyright (C) 2007-2009,2011 HORIKAWA Hisashi. All rights reserved.
#     http://www.nslabs.jp/bside/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


class WorkerPositionsController < ApplicationController
  # GET /worker_positions
  # GET /worker_positions.xml
  def index
    @worker_positions = WorkerPosition.all

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @worker_positions }
    end
  end

  # GET /worker_positions/1
  # GET /worker_positions/1.xml
  def show
    @worker_position = WorkerPosition.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @worker_position }
    end
  end

  # GET /worker_positions/new
  # GET /worker_positions/new.xml
  def new
    @worker_position = WorkerPosition.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @worker_position }
    end
  end

  # GET /worker_positions/1/edit
  def edit
    @worker_position = WorkerPosition.find(params[:id])
  end

  # POST /worker_positions
  # POST /worker_positions.xml
  def create
    @worker_position = WorkerPosition.new(params[:worker_position])

    respond_to do |format|
      if @worker_position.save
        flash[:notice] = 'WorkerPosition was successfully created.'
        format.html { redirect_to(@worker_position) }
        format.xml  { render :xml => @worker_position, :status => :created, :location => @worker_position }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @worker_position.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /worker_positions/1
  # PUT /worker_positions/1.xml
  def update
    @worker_position = WorkerPosition.find(params[:id])

    respond_to do |format|
      if @worker_position.update_attributes(params[:worker_position])
        flash[:notice] = 'WorkerPosition was successfully updated.'
        format.html { redirect_to(@worker_position) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @worker_position.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /worker_positions/1
  # DELETE /worker_positions/1.xml
  def destroy
    @worker_position = WorkerPosition.find(params[:id])
    @worker_position.destroy

    respond_to do |format|
      format.html { redirect_to(worker_positions_url) }
      format.xml  { head :ok }
    end
  end
end
