# -*- coding:utf-8 -*-

# viewのヘルパ
module ApplicationHelper

def edit_amount(n, exp)
  if n
    if exp != 0
      (Float(n) / (10.0 ** exp)).to_s
    else
      n.to_s
    end
  else
    ""
  end
end


# 時刻を整形
# ISO 8601だと 2008-01-13T23:51+09 だが見栄えがしない
# TODO: ユーザプロファイルによるタイムゾーン
def format_time t
  t ? t.strftime("%Y-%m-%d %H:%M") : nil
end


# 年が同じなら短く表示
def format_date_short d, today
  if d
    d.year == today.year ? "#{d.mon}/#{d.day}" : d.to_s
  else
    nil
  end
end


def date_select2 obj, method
  r = date_select obj, method
  b = <<EOF
<button type="button" onClick="openCalendar(this.form.#{obj}_#{method}_1i, this.form.#{obj}_#{method}_2i, this.form.#{obj}_#{method}_3i, event, &#39;yy/mm/dd&#39;);" style="padding:0">
  <span class="glyphicon glyphicon-calendar"></span>
</button>
EOF
  r << b.html_safe
  r
end


def select_cost_center_tag name, cost_centers
  s = "<select name=\"#{name}\">\n"
  grp = nil
  cost_centers.each do |c|
    if c.parent != grp
      s << "</optgroup>\n" if grp
      s << "<optgroup label=\"#{h(c.parent.name)}\">\n"
      grp = c.parent
    end
    s << "<option value=\"#{c.id}\">#{h(c.name)}"
  end
  s << "</select>"
  return s.html_safe
end

end # module ApplicationHelper


#############################################################################

# Unicodeの正規化 (デフォルト = NFKC)
def normalize s, form = :kc
  # Rails 2.2 で、 /active_support/multibyte/ の下からhandlers がなくなっている。
  if !defined?(RAILS_GEM_VERSION) || RAILS_GEM_VERSION >= '2.2'
    s ? s.mb_chars.normalize(form).to_s : nil
  else 
    s ? ActiveSupport::Multibyte::Handlers::UTF8Handler.normalize(s, form) : nil
  end
end
alias :normalize_kc :normalize
