# -*- coding: utf-8 -*-

# Netsphere Financial Front / ネットスフィア経理フロント
# Copyright (C) 2007-2009,2011 HORIKAWA Hisashi. All rights reserved.
#     http://www.nslabs.jp/bside/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# 銀行口座
class BankAccount < ActiveRecord::Base
  belongs_to :bank_branch
  belongs_to :partner
  
  ACTYPE_NAMES = {1 => '普通', 2 => '当座', 9 => '貯蓄'}
  
  validates_uniqueness_of :zaimu_ac

  # 口座名義まで
  def format_long
    branch = bank_branch
    return "#{bank_name} (#{BankAccount::ACTYPE_NAMES[ac_type]}) #{ac_number} #{kana_name}"
  end
  
  # 銀行名+支店名
  def bank_name
    return "#{bank_branch.bank.name}/#{bank_branch.name}"
  end
end
