# -*- coding:utf-8 -*-

# Netsphere Financial Front / ネットスフィア経理フロント
# Copyright (C) 2007-2009,2011 HORIKAWA Hisashi. All rights reserved.
#     http://www.nslabs.jp/bside/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# カンパニー
class Company < ActiveRecord::Base
  set_table_name "company_settings"

  belongs_to :functional_currency,
             :foreign_key => 'currency_id', :class_name => 'Currency'


  def bank_division
    if company_setting
      Division.find company_setting.bank_division_id
    else
      nil
    end
  end

  has_one :company_setting

  validates_presence_of :name
  validates_presence_of :name_en

end
