# -*- coding:utf-8 -*-

# 消費税・税金マスタ
class Vat < ActiveRecord::Base
  belongs_to :account_title

  attr_protected :country

  attr_protected :tax_rate

  validates_presence_of :tax_code
  validates_presence_of :name
  validates_length_of :country, :is => 2
  validates_presence_of :tax_rate
  validate :check_fields

  # 税サイド
  TAX_SIDES = {
    0 => "不課税(対象外)",
    1 => "売上",
    2 => "仕入"
  }

  # 税グループ
  TAX_TYPES = {
     0 => "不課税(対象外)",  # (初期値が対象外で, 課税もありえる), という組み合わせがある
    10 => "課税(現行税率)",
    30 => "非課税",
    60 => "売上/輸出免税"
  }

  # for validate
  def check_fields
    errors.add("tax_side", "課税売上または仕入を選んでください.") if tax_side != 1 && tax_side != 2
  end

end
