-- 勘定科目
CREATE TABLE account_titles (
  id              serial PRIMARY KEY,
  aggregate_flag  boolean NOT NULL,    -- 集計科目はTRUE

  account_code    int NOT NULL,
  suppl_code      int NOT NULL,
  main_name       VARCHAR(40) NOT NULL, -- 主コードの名前。ad hocなやり方。
  name            VARCHAR(40) NOT NULL,
  kana_name       VARCHAR(40) NOT NULL,
  description     TEXT NOT NULL,
  end_day         DATE,           -- これがNULL以外で使用不可。
  kind            int NOT NULL,  -- 売掛金、買掛金などのフラグ

  -- 販売請求書で登録できるか
  enable_si_invoice boolean NOT NULL,

  -- この科目を計上する際の売掛金・未収入金a/c
  receivable_id     int REFERENCES account_titles(id), 

  -- (購買)請求書で登録できるか
  enable_invoice    boolean NOT NULL,

  -- 同じく買掛金・未払金a/c
  payable_id        int REFERENCES account_titles(id), 

  sign            int NOT NULL, -- 借方科目 = +1, 貸方科目 = -1
  req_partner     boolean NOT NULL, -- 相手先の指定が必要か

  -- 消費税対象外 = 0, 課税売上 = 1, 課税仕入 = 2
  tax_side         int NOT NULL,

  -- 初期値
  default_tax_type int NOT NULL,  -- 循環するので, referencesは付けない

  UNIQUE (account_code, suppl_code)
);
