-- 総勘定元帳
CREATE TABLE general_ledger (
  id               serial PRIMARY KEY,
  date             DATE NOT NULL,    -- 伝票日
  slip_number      int,              -- 伝票番号
  created_by       int REFERENCES users (id),
  created_at       timestamp,
  kubun_id         int NOT NULL REFERENCES kubuns (id),
  division_id      int REFERENCES divisions (id),   -- B/S科目は部門がない。
  -- belongs_to()は、複数外部キーに対応していない。
  account_title_id int NOT NULL REFERENCES account_titles (id),
  partner_id       int REFERENCES partners (id),
  work_action_id   int REFERENCES work_actions (id), -- 予算
  amount           int8 NOT NULL,
  remarks          VARCHAR(250) NOT NULL
);
CREATE INDEX fki_general_ledger_work_action_id_fkey
   ON general_ledger (work_action_id);
CREATE INDEX fki_general_ledger_partner_id_fkey
   ON general_ledger (partner_id);
