
-- 小口精算の仕訳
CREATE TABLE petty_expense_allocations (
  id                     serial PRIMARY KEY,

  -- 親
  petty_expense_entry_id int NOT NULL REFERENCES petty_expense_entries (id),

  ----------------------------------------------------
  -- Journal Entry Data

  -- "Company" or "Employee"
  -- 1エントリに対して複数行、異なる値のことあり.
  payer_payment_type VARCHAR(16) NOT NULL, -- col 163

  payee_payment_type VARCHAR(16) NOT NULL, -- coi 165

  -- ex. "849/2"  col 167
  account_title_id   int NOT NULL REFERENCES account_titles (id),

  debit_or_credit    CHAR(2) NOT NULL,  -- col 168

  -- debit_or_creditとは関係なく, 正値が借方
  -- reimbursement_currency での金額
  -- col 125 (approved amount) を col 190 (allocation percentage) で按分して計算
  amount             NUMERIC(12, 4) NOT NULL, -- col 169

  -- col 191 を変換
  division_id        int NOT NULL REFERENCES divisions (id),

  vat_code           int NOT NULL,

  -- 1～100
  allocation_percentage  NUMERIC(5, 2) NOT NULL   -- col 190
);

