# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20131017044322) do

  create_table "account_title_trees", :force => true do |t|
    t.integer "parent_id", :null => false
    t.integer "child_id",  :null => false
  end

  add_index "account_title_trees", ["parent_id", "child_id"], :name => "account_title_trees_parent_id_key", :unique => true

  create_table "account_titles", :force => true do |t|
    t.integer "account_code",                    :null => false
    t.integer "suppl_code",                      :null => false
    t.string  "main_name",         :limit => 40, :null => false
    t.string  "name",              :limit => 40, :null => false
    t.string  "kana_name",         :limit => 40, :null => false
    t.date    "end_day"
    t.integer "default_tax_type",                :null => false
    t.integer "receivable_id"
    t.integer "payable_id"
    t.integer "sign",                            :null => false
    t.boolean "req_partner",                     :null => false
    t.boolean "aggregate_flag",                  :null => false
    t.text    "description",                     :null => false
    t.integer "kind",                            :null => false
    t.boolean "enable_si_invoice",               :null => false
    t.boolean "enable_invoice",                  :null => false
    t.integer "tax_side",                        :null => false
  end

  add_index "account_titles", ["account_code", "suppl_code"], :name => "account_titles_account_code_key", :unique => true

  create_table "action_groups", :force => true do |t|
    t.string "name", :limit => 100, :null => false
  end

  create_table "attach_file_refs", :force => true do |t|
    t.integer  "attach_file_id", :null => false
    t.integer  "partner_id"
    t.integer  "invoice_id"
    t.datetime "created_at"
  end

  add_index "attach_file_refs", ["attach_file_id", "partner_id", "invoice_id"], :name => "attach_file_refs_attach_file_id_key", :unique => true

  create_table "attach_files", :force => true do |t|
    t.binary   "data",                             :null => false
    t.string   "original_filename", :limit => 200, :null => false
    t.string   "content_type",      :limit => 60,  :null => false
    t.integer  "attach_kind_id",                   :null => false
    t.string   "remarks",           :limit => 200, :null => false
    t.integer  "create_user_id",                   :null => false
    t.datetime "created_at"
    t.integer  "division_id",                      :null => false
  end

  add_index "attach_files", ["division_id"], :name => "fki_attach_division"

  create_table "attach_kinds", :force => true do |t|
    t.string  "name",           :limit => 60, :null => false
    t.integer "sort",                         :null => false
    t.integer "enable_invoice",               :null => false
  end

  create_table "bank_accounts", :force => true do |t|
    t.integer "partner_id",                   :null => false
    t.integer "bank_branch_id",               :null => false
    t.integer "ac_type",                      :null => false
    t.integer "ac_number",                    :null => false
    t.string  "kana_name",      :limit => 30, :null => false
    t.integer "zaimu_ac",                     :null => false
    t.boolean "active",                       :null => false
  end

  add_index "bank_accounts", ["bank_branch_id", "ac_type", "ac_number"], :name => "bank_accounts_bank_branch_id_key", :unique => true
  add_index "bank_accounts", ["zaimu_ac"], :name => "bank_accounts_zaimu_ac_key", :unique => true

  create_table "bank_branches", :force => true do |t|
    t.integer "bank_id",                   :null => false
    t.integer "branch_code",               :null => false
    t.string  "name",        :limit => 15, :null => false
    t.string  "kana_name",   :limit => 15, :null => false
  end

  add_index "bank_branches", ["bank_id", "branch_code"], :name => "bank_branches_bank_id_key", :unique => true

  create_table "banks", :id => false, :force => true do |t|
    t.integer "id",                      :null => false
    t.string  "name",      :limit => 15, :null => false
    t.string  "kana_name", :limit => 15, :null => false
  end

  create_table "company_settings", :force => true do |t|
    t.date    "fixed_day",                  :null => false
    t.integer "si_counter",                 :null => false
    t.date    "fixed_gl_day",               :null => false
    t.integer "currency_id",                :null => false
    t.string  "name",         :limit => 60, :null => false
    t.string  "name_en",      :limit => 60, :null => false
    t.text    "si_footer",                  :null => false
    t.binary  "logo_image"
    t.string  "country",      :limit => 2,  :null => false
  end

  create_table "company_settings2", :force => true do |t|
    t.integer "company_id",           :null => false
    t.integer "bank_division_id",     :null => false
    t.integer "fallback_division_id", :null => false
  end

  create_table "control_divisions", :force => true do |t|
    t.string  "name",      :limit => 40, :null => false
    t.integer "parent_id"
    t.integer "lft",                     :null => false
    t.integer "rgt",                     :null => false
  end

  add_index "control_divisions", ["parent_id"], :name => "fki_control_divisions_parent_id_fkey"

  create_table "controllers_divisions", :force => true do |t|
    t.integer "control_division_id", :null => false
    t.integer "division_id",         :null => false
  end

  add_index "controllers_divisions", ["control_division_id", "division_id"], :name => "controllers_divisions_control_division_id_key", :unique => true

  create_table "credit_inquiries", :force => true do |t|
    t.integer  "partner_id",     :null => false
    t.date     "report_date",    :null => false
    t.integer  "score"
    t.text     "remarks",        :null => false
    t.integer  "create_user_id"
    t.datetime "created_at",     :null => false
  end

  create_table "currencies", :force => true do |t|
    t.string  "name",     :limit => 20, :null => false
    t.string  "code",     :limit => 3,  :null => false
    t.integer "exponent",               :null => false
  end

  add_index "currencies", ["code"], :name => "currencies_code_key", :unique => true

  create_table "currency_rates", :force => true do |t|
    t.date    "date",                                      :null => false
    t.integer "currency_id",                               :null => false
    t.decimal "rate",        :precision => 8, :scale => 4, :null => false
  end

  add_index "currency_rates", ["date", "currency_id"], :name => "currency_rates_date_key", :unique => true

  create_table "default_dimensions", :force => true do |t|
    t.integer  "division_id",    :null => false
    t.integer  "axis",           :null => false
    t.integer  "dimension_id",   :null => false
    t.datetime "created_at",     :null => false
    t.integer  "create_user_id", :null => false
  end

  add_index "default_dimensions", ["division_id", "axis"], :name => "default_dimensions_division_id_axis_key", :unique => true

  create_table "dimensions", :force => true do |t|
    t.boolean  "active",                       :null => false
    t.integer  "axis",                         :null => false
    t.string   "dim_code",       :limit => 10, :null => false
    t.string   "name",           :limit => 40, :null => false
    t.datetime "created_at",                   :null => false
    t.integer  "create_user_id"
    t.datetime "updated_at"
    t.integer  "update_user_id"
  end

  add_index "dimensions", ["dim_code"], :name => "dimensions_dim_code_key", :unique => true

  create_table "divisions", :force => true do |t|
    t.string   "division_code",   :limit => 20, :null => false
    t.string   "name",            :limit => 40, :null => false
    t.string   "kana_name",       :limit => 40, :null => false
    t.date     "end_day"
    t.integer  "purchase_active",               :null => false
    t.integer  "company_id",                    :null => false
    t.integer  "default_dim2_id"
    t.datetime "created_at"
    t.integer  "create_user_id"
    t.datetime "updated_at"
    t.integer  "update_user_id"
  end

  add_index "divisions", ["division_code"], :name => "divisions_division_code_key", :unique => true

  create_table "en_bank_accounts", :force => true do |t|
    t.string  "swift_code",    :limit => 11, :null => false
    t.string  "bank_name",     :limit => 40, :null => false
    t.string  "bank_addr1",    :limit => 50, :null => false
    t.string  "bank_addr2",    :limit => 80, :null => false
    t.string  "bank_country",  :limit => 2,  :null => false
    t.string  "account_name",  :limit => 40, :null => false
    t.string  "account_addr1", :limit => 80, :null => false
    t.string  "account_addr2", :limit => 80, :null => false
    t.string  "account_no",    :limit => 34
    t.string  "iban_code",     :limit => 34
    t.integer "partner_id"
  end

  add_index "en_bank_accounts", ["partner_id"], :name => "fki_en_bank_accounts_partner_id_fkey"

  create_table "general_ledger", :force => true do |t|
    t.date     "date",                            :null => false
    t.integer  "slip_number"
    t.integer  "created_by"
    t.datetime "created_at"
    t.integer  "kubun_id",                        :null => false
    t.integer  "division_id"
    t.integer  "account_title_id",                :null => false
    t.integer  "work_action_id"
    t.integer  "amount",           :limit => 8,   :null => false
    t.string   "remarks",          :limit => 250, :null => false
    t.integer  "partner_id"
  end

  add_index "general_ledger", ["partner_id"], :name => "fki_general_ledger_partner_id_fkey"
  add_index "general_ledger", ["work_action_id"], :name => "fki_general_ledger_work_action_id_fkey"

  create_table "global_settings", :id => false, :force => true do |t|
    t.integer "partner_counter",                :null => false
    t.integer "id",                             :null => false
    t.date    "currency_limit_day",             :null => false
    t.integer "bank_charge_account_title_id",   :null => false
    t.integer "currency_gain_account_title_id", :null => false
    t.integer "vat_payment_account_title_id",   :null => false
    t.integer "default_division_tree_root_id",  :null => false
  end

  create_table "import_declarations", :force => true do |t|
    t.string   "exporter_name",       :limit => 100,                                :null => false
    t.decimal  "invoice_price",                      :precision => 10, :scale => 0, :null => false
    t.integer  "invoice_currency_id",                                               :null => false
    t.integer  "customs_tariff",                                                    :null => false
    t.integer  "consumption_tax",                                                   :null => false
    t.text     "description",                                                       :null => false
    t.date     "permit_date",                                                       :null => false
    t.datetime "created_at",                                                        :null => false
    t.integer  "create_user_id",                                                    :null => false
    t.datetime "updated_at"
    t.integer  "invoice_incoterm_id",                                               :null => false
    t.string   "bl_number",           :limit => 18,                                 :null => false
    t.integer  "vat_local",                                                         :null => false
    t.string   "declaration_number",  :limit => 11,                                 :null => false
    t.integer  "company_id",                                                        :null => false
  end

  add_index "import_declarations", ["declaration_number"], :name => "import_declarations_declaration_number2_key", :unique => true

  create_table "imports_invoices", :force => true do |t|
    t.integer  "import_declaration_id", :null => false
    t.integer  "invoice_id",            :null => false
    t.integer  "create_user_id",        :null => false
    t.datetime "created_at",            :null => false
  end

  add_index "imports_invoices", ["import_declaration_id", "invoice_id"], :name => "imports_invoices_import_declaration_id_key", :unique => true

  create_table "invoice_details", :force => true do |t|
    t.integer "invoice_id",                      :null => false
    t.integer "account_title_id",                :null => false
    t.integer "division_id",                     :null => false
    t.integer "amount",                          :null => false
    t.integer "vat_code"
    t.string  "remarks",          :limit => 200, :null => false
    t.integer "lineno",                          :null => false
    t.integer "vat_id"
    t.integer "dim2_id"
  end

  create_table "invoice_logs", :force => true do |t|
    t.integer  "invoice_id",                :null => false
    t.integer  "kind",                      :null => false
    t.string   "remarks",    :limit => 200, :null => false
    t.integer  "done_by",                   :null => false
    t.datetime "done_at",                   :null => false
  end

  create_table "invoices", :force => true do |t|
    t.integer  "partner_id",                       :null => false
    t.integer  "bank_account_id"
    t.date     "buy_day",                          :null => false
    t.date     "due_day",                          :null => false
    t.integer  "currency_id",                      :null => false
    t.integer  "division_id",                      :null => false
    t.integer  "created_by",                       :null => false
    t.integer  "state",                            :null => false
    t.integer  "payment_state",                    :null => false
    t.datetime "created_at",                       :null => false
    t.datetime "updated_at"
    t.integer  "lock_version",                     :null => false
    t.date     "journal_day"
    t.string   "invoice_no",         :limit => 40
    t.integer  "company_setting_id"
    t.string   "approval",           :limit => 20
    t.datetime "journal_export_at"
    t.integer  "en_bank_account_id"
    t.integer  "amount_total",                     :null => false
  end

  add_index "invoices", ["en_bank_account_id"], :name => "fki_invoices_en_bank_account_id_fkey"
  add_index "invoices", ["partner_id", "invoice_no"], :name => "invoices_partner_id_key", :unique => true

  create_table "kubuns", :force => true do |t|
    t.string  "name",      :limit => 40, :null => false
    t.string  "long_name", :limit => 40, :null => false
    t.integer "active",                  :null => false
  end

  add_index "kubuns", ["name"], :name => "kubuns_name_key", :unique => true

  create_table "our_banks", :force => true do |t|
    t.integer  "bank_account_id"
    t.string   "remarks",            :limit => 200, :null => false
    t.integer  "account_title_id",                  :null => false
    t.integer  "company_setting_id",                :null => false
    t.integer  "en_bank_account_id"
    t.string   "applicant_code",     :limit => 10
    t.integer  "currency_id",                       :null => false
    t.string   "name",               :limit => 40,  :null => false
    t.datetime "created_at"
    t.integer  "create_user_id"
    t.datetime "updated_at"
    t.integer  "update_user_id"
  end

  add_index "our_banks", ["applicant_code"], :name => "our_banks_applicant_code_key", :unique => true
  add_index "our_banks", ["bank_account_id"], :name => "our_banks_bank_account_id_key", :unique => true
  add_index "our_banks", ["company_setting_id"], :name => "fki_our_banks_company_setting_id_fkey"
  add_index "our_banks", ["en_bank_account_id"], :name => "our_banks_en_bank_account_id_key", :unique => true

  create_table "our_branches", :force => true do |t|
    t.integer "branch_code",               :null => false
    t.string  "name",        :limit => 40, :null => false
  end

  add_index "our_branches", ["branch_code"], :name => "our_branches_branch_code_key", :unique => true

  create_table "our_contacts", :force => true do |t|
    t.string  "lang",               :limit => 2,   :null => false
    t.string  "zip",                :limit => 10,  :null => false
    t.string  "addr1",              :limit => 100, :null => false
    t.string  "addr2",              :limit => 100, :null => false
    t.string  "name",               :limit => 100, :null => false
    t.string  "tel",                :limit => 20,  :null => false
    t.integer "company_setting_id",                :null => false
    t.string  "addr3",              :limit => 100, :null => false
  end

  create_table "partners", :force => true do |t|
    t.string   "name",         :limit => 80,  :null => false
    t.string   "kana_name",    :limit => 60,  :null => false
    t.integer  "zaimu_id",                    :null => false
    t.text     "remarks",                     :null => false
    t.datetime "created_at",                  :null => false
    t.datetime "updated_at"
    t.integer  "lock_version",                :null => false
    t.integer  "updated_by"
    t.integer  "created_by"
    t.integer  "tdb_code"
    t.string   "hq_zip",       :limit => 8,   :null => false
    t.string   "hq_addr",      :limit => 100, :null => false
    t.string   "industry",     :limit => 60,  :null => false
  end

  add_index "partners", ["created_by"], :name => "fki_partners_created_by_fkey"
  add_index "partners", ["tdb_code"], :name => "partners_tdb_code_key", :unique => true
  add_index "partners", ["zaimu_id"], :name => "partners_zaimu_id_key", :unique => true

  create_table "payment_banks", :force => true do |t|
    t.integer  "payment_slip_id",                                :null => false
    t.integer  "our_bank_id",                                    :null => false
    t.integer  "cash_amount",                                    :null => false
    t.decimal  "inv_amount",      :precision => 12, :scale => 0, :null => false
    t.datetime "created_at",                                     :null => false
  end

  create_table "payment_slips", :force => true do |t|
    t.integer  "company_id",        :null => false
    t.date     "date",              :null => false
    t.datetime "journal_export_at"
    t.integer  "state",             :null => false
    t.datetime "created_at",        :null => false
    t.integer  "create_user_id",    :null => false
    t.datetime "updated_at"
    t.integer  "lock_version",      :null => false
  end

  create_table "payments", :force => true do |t|
    t.integer  "payment_slip_id",  :null => false
    t.integer  "invoice_id",       :null => false
    t.integer  "account_title_id", :null => false
    t.integer  "amount",           :null => false
    t.datetime "created_at",       :null => false
    t.integer  "currency_id",      :null => false
  end

  create_table "petty_cash_advances", :force => true do |t|
    t.integer  "batch_id"
    t.date     "batch_date"
    t.integer  "sequence_number"
    t.integer  "user_id",                                                          :null => false
    t.integer  "petty_group_id",                                                   :null => false
    t.string   "payer_payment_type",  :limit => 16,                                :null => false
    t.string   "payee_payment_type",  :limit => 16,                                :null => false
    t.integer  "account_title_id",                                                 :null => false
    t.string   "debit_or_credit",     :limit => 2,                                 :null => false
    t.decimal  "journal_amount",                    :precision => 12, :scale => 4, :null => false
    t.decimal  "request_amount",                    :precision => 12, :scale => 4, :null => false
    t.integer  "request_currency_id",                                              :null => false
    t.decimal  "exchange_rate",                     :precision => 10, :scale => 4, :null => false
    t.integer  "reimb_currency_id",                                                :null => false
    t.date     "processing_date"
    t.string   "payment_code",        :limit => 10,                                :null => false
    t.integer  "transaction_type",                                                 :null => false
    t.date     "submit_date",                                                      :null => false
    t.integer  "ca_key",                                                           :null => false
    t.integer  "payment_method",                                                   :null => false
    t.string   "name",                :limit => 40,                                :null => false
    t.datetime "journal_export_at"
  end

  add_index "petty_cash_advances", ["batch_id", "sequence_number"], :name => "petty_cash_advances_batch_id_sequence_number_key", :unique => true
  add_index "petty_cash_advances", ["ca_key"], :name => "petty_cash_advances_ca_key_key", :unique => true

  create_table "petty_expense_allocations", :force => true do |t|
    t.integer "petty_expense_entry_id",                                              :null => false
    t.string  "payer_payment_type",     :limit => 16,                                :null => false
    t.string  "payee_payment_type",     :limit => 16,                                :null => false
    t.integer "account_title_id",                                                    :null => false
    t.string  "debit_or_credit",        :limit => 2,                                 :null => false
    t.decimal "amount",                               :precision => 12, :scale => 4, :null => false
    t.integer "division_id",                                                         :null => false
    t.integer "vat_code",                                                            :null => false
    t.decimal "allocation_percentage",                :precision => 5,  :scale => 2, :null => false
  end

  create_table "petty_expense_entries", :force => true do |t|
    t.integer "petty_expense_id",                                                        :null => false
    t.integer "report_entry_key",                                                        :null => false
    t.string  "transaction_type",           :limit => 3,                                 :null => false
    t.string  "expense_type_name",          :limit => 64,                                :null => false
    t.date    "transaction_date",                                                        :null => false
    t.string  "spend_currency_code",        :limit => 3,                                 :null => false
    t.decimal "exchange_rate",                            :precision => 10, :scale => 4, :null => false
    t.string  "exchange_rate_direction",    :limit => 1,                                 :null => false
    t.boolean "is_personal",                                                             :null => false
    t.string  "description",                :limit => 64,                                :null => false
    t.string  "vendor_name",                :limit => 64,                                :null => false
    t.string  "vendor_description",         :limit => 64,                                :null => false
    t.boolean "receipt_received",                                                        :null => false
    t.string  "receipt_type",               :limit => 1,                                 :null => false
    t.integer "employee_attendee_count",                                                 :null => false
    t.integer "spouse_attendee_count",                                                   :null => false
    t.integer "business_attendee_count",                                                 :null => false
    t.decimal "spend_amount",                             :precision => 12, :scale => 4, :null => false
    t.decimal "approved_amount",                          :precision => 12, :scale => 4, :null => false
    t.string  "payment_code",               :limit => 4,                                 :null => false
    t.integer "reimb_type",                                                              :null => false
    t.date    "cc_billing_date"
    t.string  "cc_masked_cc_number",        :limit => 20
    t.string  "cc_name_on_card",            :limit => 40
    t.string  "cc_jr_key",                  :limit => 13
    t.string  "cc_ref_no",                  :limit => 64
    t.string  "cc_cct_key",                 :limit => 64
    t.string  "cc_cct_type",                :limit => 3
    t.string  "cc_transaction_id",          :limit => 32
    t.decimal "cc_transaction_amount",                    :precision => 12, :scale => 4
    t.decimal "cc_tax_amount",                            :precision => 12, :scale => 4
    t.string  "cc_currency_code",           :limit => 3
    t.string  "cc_transaction_description", :limit => 42
    t.integer "cc_mc_code"
    t.string  "cc_merchant_name",           :limit => 50
    t.string  "cc_merchant_city",           :limit => 40
    t.string  "cc_merchant_state",          :limit => 32
    t.string  "cc_merchant_ctry_code",      :limit => 2
    t.decimal "cc_exchange_rate",                         :precision => 10, :scale => 4
    t.string  "foreign_or_domestic",        :limit => 4,                                 :null => false
  end

  add_index "petty_expense_entries", ["cc_cct_key"], :name => "petty_expense_entries_cc_cct_key_key", :unique => true
  add_index "petty_expense_entries", ["cc_ref_no"], :name => "petty_expense_entries_cc_ref_no_key", :unique => true
  add_index "petty_expense_entries", ["cc_transaction_id"], :name => "petty_expense_entries_cc_transaction_id_key", :unique => true
  add_index "petty_expense_entries", ["report_entry_key"], :name => "petty_expense_entries_report_entry_key_key", :unique => true

  create_table "petty_expenses", :force => true do |t|
    t.integer  "batch_id"
    t.date     "batch_date"
    t.integer  "sequence_number"
    t.integer  "user_id",                                                              :null => false
    t.integer  "petty_group_id",                                                       :null => false
    t.string   "report_id",               :limit => 32,                                :null => false
    t.integer  "reimb_currency_id",                                                    :null => false
    t.string   "country_lang_name",       :limit => 64,                                :null => false
    t.date     "submit_date",                                                          :null => false
    t.date     "processing_date"
    t.string   "report_name",             :limit => 40,                                :null => false
    t.boolean  "image_required",                                                       :null => false
    t.boolean  "has_vat_entry",                                                        :null => false
    t.boolean  "has_ta_entry",                                                         :null => false
    t.decimal  "total_approved_amount",                 :precision => 12, :scale => 4, :null => false
    t.decimal  "emp_amount_total",                      :precision => 12, :scale => 4, :null => false
    t.decimal  "cc_amount_total",                       :precision => 12, :scale => 4, :null => false
    t.decimal  "receivable_amount_total",               :precision => 12, :scale => 4, :null => false
    t.datetime "journal_export_at"
  end

  add_index "petty_expenses", ["batch_id", "sequence_number"], :name => "petty_expenses_batch_id_sequence_number_key", :unique => true
  add_index "petty_expenses", ["report_id"], :name => "petty_expenses_report_id_key", :unique => true

  create_table "petty_groups", :force => true do |t|
    t.integer  "company_id",                    :null => false
    t.string   "group_code",     :limit => 40,  :null => false
    t.string   "name",           :limit => 40,  :null => false
    t.string   "description",    :limit => 200, :null => false
    t.datetime "created_at",                    :null => false
    t.integer  "create_user_id",                :null => false
    t.datetime "updated_at"
    t.integer  "update_user_id"
  end

  add_index "petty_groups", ["group_code"], :name => "petty_groups_group_code_key", :unique => true

  create_table "petty_offsets", :force => true do |t|
    t.integer  "expense_id",                                     :null => false
    t.integer  "cash_advance_id",                                :null => false
    t.decimal  "amount",          :precision => 12, :scale => 4, :null => false
    t.integer  "currency_id",                                    :null => false
    t.datetime "created_at",                                     :null => false
  end

  create_table "petty_pays", :force => true do |t|
    t.integer  "cash_slip_id"
    t.string   "demand_batch_id",         :limit => 36,                                :null => false
    t.date     "demand_batch_close_date",                                              :null => false
    t.integer  "user_id",                                                              :null => false
    t.integer  "petty_group_id",                                                       :null => false
    t.string   "transaction_type",        :limit => 4,                                 :null => false
    t.integer  "cash_advance_id"
    t.integer  "currency_id",                                                          :null => false
    t.integer  "demand_id",                                                            :null => false
    t.string   "liability_side",          :limit => 2,                                 :null => false
    t.decimal  "amount",                                :precision => 12, :scale => 4, :null => false
    t.integer  "expense_id"
    t.datetime "created_at",                                                           :null => false
  end

  add_index "petty_pays", ["demand_id"], :name => "petty_pays_demand_id_key", :unique => true

  create_table "qualifications", :force => true do |t|
    t.string   "name",           :limit => 100, :null => false
    t.datetime "created_at",                    :null => false
    t.integer  "create_user_id",                :null => false
    t.datetime "updated_at"
    t.integer  "update_user_id"
    t.boolean  "active",                        :null => false
    t.string   "kana_name",      :limit => 100, :null => false
  end

  create_table "receiving_slips", :force => true do |t|
    t.date     "date",                                             :null => false
    t.integer  "our_bank_id",                                      :null => false
    t.integer  "state",                                            :null => false
    t.datetime "created_at",                                       :null => false
    t.integer  "created_by",                                       :null => false
    t.datetime "updated_at"
    t.integer  "lock_version",                                     :null => false
    t.datetime "journal_export_at"
    t.decimal  "amount",            :precision => 10, :scale => 0, :null => false
  end

  create_table "receivings", :force => true do |t|
    t.integer  "amount",            :null => false
    t.integer  "charge",            :null => false
    t.integer  "sales_invoice_id"
    t.datetime "created_at",        :null => false
    t.integer  "receiving_slip_id", :null => false
    t.integer  "petty_expense_id"
    t.integer  "currency_id",       :null => false
  end

  create_table "reporting_titles", :force => true do |t|
    t.integer "report_id",        :null => false
    t.integer "position",         :null => false
    t.integer "account_title_id", :null => false
  end

  add_index "reporting_titles", ["report_id", "position"], :name => "reporting_titles_report_id_key", :unique => true

  create_table "reports", :force => true do |t|
    t.string "name", :limit => 40, :null => false
  end

  create_table "rs_logs", :force => true do |t|
    t.integer  "receiving_slip_id"
    t.integer  "payment_slip_id"
    t.integer  "kind",                             :null => false
    t.string   "remarks",           :limit => 200, :null => false
    t.integer  "done_by",                          :null => false
    t.datetime "done_at",                          :null => false
  end

  create_table "sales_invoices", :force => true do |t|
    t.integer  "partner_id",                           :null => false
    t.string   "zip",                   :limit => 10,  :null => false
    t.string   "addr1",                 :limit => 100, :null => false
    t.string   "addr2",                 :limit => 100, :null => false
    t.string   "contact_name2",         :limit => 100, :null => false
    t.date     "due_day",                              :null => false
    t.integer  "currency_id",                          :null => false
    t.integer  "division_id",                          :null => false
    t.date     "journal_day"
    t.integer  "state",                                :null => false
    t.datetime "created_at",                           :null => false
    t.integer  "create_user_id",                       :null => false
    t.datetime "updated_at"
    t.integer  "lock_version",                         :null => false
    t.string   "contact_name1",         :limit => 100, :null => false
    t.text     "remarks",                              :null => false
    t.date     "sell_day",                             :null => false
    t.integer  "delivery",                             :null => false
    t.integer  "si_number"
    t.integer  "issued_by"
    t.boolean  "disable_due_day",                      :null => false
    t.integer  "company_setting_id"
    t.integer  "receivable_account_id",                :null => false
    t.string   "contact_name3",         :limit => 100, :null => false
    t.integer  "amount_total",                         :null => false
    t.datetime "journal_export_at"
  end

  add_index "sales_invoices", ["company_setting_id", "si_number"], :name => "sales_invoices_company_setting_id_key", :unique => true

  create_table "si_banks", :force => true do |t|
    t.integer "sales_invoice_id", :null => false
    t.integer "our_bank_id",      :null => false
  end

  add_index "si_banks", ["sales_invoice_id", "our_bank_id"], :name => "si_banks_sales_invoice_id_key", :unique => true

  create_table "si_details", :force => true do |t|
    t.integer "sales_invoice_id",                :null => false
    t.integer "line_no",                         :null => false
    t.integer "unit_price"
    t.integer "qty"
    t.string  "unit",             :limit => 10
    t.integer "amount",                          :null => false
    t.integer "vat_code",                        :null => false
    t.string  "description",      :limit => 200, :null => false
  end

  add_index "si_details", ["sales_invoice_id", "line_no"], :name => "si_details_sales_invoice_id_key", :unique => true

  create_table "si_journals", :force => true do |t|
    t.integer "sales_invoice_id",                :null => false
    t.integer "account_title_id",                :null => false
    t.integer "division_id",                     :null => false
    t.integer "amount",                          :null => false
    t.integer "vat_code"
    t.string  "remarks",          :limit => 200, :null => false
    t.integer "lineno",                          :null => false
    t.integer "vat_id"
    t.integer "dim2_id"
  end

  create_table "si_logs", :force => true do |t|
    t.integer  "sales_invoice_id",                :null => false
    t.integer  "kind",                            :null => false
    t.string   "remarks",          :limit => 200, :null => false
    t.integer  "done_by",                         :null => false
    t.datetime "done_at",                         :null => false
  end

  create_table "users", :force => true do |t|
    t.string   "name",                      :limit => 40, :null => false
    t.string   "kana_name",                 :limit => 40, :null => false
    t.datetime "created_at",                              :null => false
    t.datetime "updated_at"
    t.string   "login",                     :limit => 40
    t.string   "crypted_password",          :limit => 40
    t.string   "email",                     :limit => 40
    t.string   "salt",                      :limit => 40
    t.datetime "remember_token_expires_at"
    t.string   "remember_token",            :limit => 40
    t.integer  "active",                                  :null => false
    t.boolean  "keiri_flag",                              :null => false
    t.boolean  "marketing_flag",                          :null => false
    t.boolean  "apar_flag",                               :null => false
    t.boolean  "hrd_flag",                                :null => false
    t.string   "worker_code",               :limit => 48, :null => false
  end

  add_index "users", ["email"], :name => "users_email_key", :unique => true
  add_index "users", ["login"], :name => "users_login_key", :unique => true
  add_index "users", ["worker_code"], :name => "users_emp_id_key", :unique => true

  create_table "users_divisions", :force => true do |t|
    t.integer "user_id",            :null => false
    t.integer "division_id",        :null => false
    t.integer "default_pair",       :null => false
    t.date    "effective_day"
    t.date    "end_day"
    t.integer "worker_position_id"
  end

  add_index "users_divisions", ["user_id", "division_id", "effective_day"], :name => "users_divisions_user_id_division_id_effective_day_key", :unique => true

  create_table "users_qualifications", :force => true do |t|
    t.integer "user_id",          :null => false
    t.integer "qualification_id", :null => false
    t.date    "effective_day",    :null => false
    t.date    "expire_day"
  end

  add_index "users_qualifications", ["user_id", "qualification_id", "effective_day"], :name => "users_qualifications_user_id_key", :unique => true

  create_table "vats", :force => true do |t|
    t.string   "country",          :limit => 2,                                :null => false
    t.integer  "tax_side",                                                     :null => false
    t.integer  "tax_group",                                                    :null => false
    t.string   "tax_code",         :limit => 6,                                :null => false
    t.date     "effective_day",                                                :null => false
    t.string   "name",             :limit => 40,                               :null => false
    t.decimal  "tax_rate",                       :precision => 4, :scale => 2, :null => false
    t.boolean  "active",                                                       :null => false
    t.integer  "account_title_id",                                             :null => false
    t.datetime "created_at",                                                   :null => false
    t.integer  "create_user_id"
    t.datetime "updated_at"
    t.integer  "update_user_id"
  end

  add_index "vats", ["country", "tax_side", "tax_code"], :name => "vats_country_tax_side_tax_code_key", :unique => true

  create_table "work_actions", :force => true do |t|
    t.string  "name",            :limit => 100, :null => false
    t.integer "division_id",                    :null => false
    t.string  "partners",        :limit => 100, :null => false
    t.integer "action_group_id"
  end

  create_table "worker_positions", :force => true do |t|
    t.string  "name",   :limit => 100, :null => false
    t.boolean "active",                :null => false
  end

end
