# -*- coding:utf-8 -*-
# 継続取引先を抽出する

require File.dirname(__FILE__) + '/import_common.rb'

# 1. 比較的最近、取引がある。
# 2. 1年間に2回以上、取引がある。

def export_partners
  recent_day = Date.today - (30 * 11)
  limit_day = Date.today - (30 * 13)
  
  partners = Partner.find :all,
                  :conditions => [<<EOF, limit_day, recent_day, limit_day, recent_day],
(
  (SELECT count(*) FROM invoices 
       WHERE partner_id = partners.id AND buy_day >= ?) >= 2 AND
  (SELECT max(buy_day) FROM invoices WHERE partner_id = partners.id) > ?) OR
(
  (SELECT count(*) FROM sales_invoices 
       WHERE partner_id = partners.id AND sell_day >= ?) >= 2 AND
  (SELECT max(sell_day) FROM sales_invoices WHERE partner_id = partners.id) > ?)
EOF
                  :order => 'zaimu_id'
  
  print ["会計コード", "TDBコード", "名前", "フリガナ", "〒", "所在地", "業種", "備考"].join("\t") + "\n"
  partners.each {|partner|
    print [partner.zaimu_id, partner.tdb_code, partner.name, partner.kana_name, 
           partner.hq_zip, partner.hq_addr, partner.industry, partner.remarks.strip.gsub(/\r\n?|\n/, "/")
          ].join("\t")
=begin
    inv = partner.invoices.first
    if inv
      print "\t#{inv.invoice_details.first.remarks}"
    else
      print "\t"
    end
    
    inv = partner.sales_invoices.first
    if inv
      print "\t#{inv.si_journals.first.remarks}"
    else
      print "\t"
    end
=end
    print "\n"
  }
end

export_partners()
